<?php
include "includes/header.php";
include "check_login.php";
?>

<body>
    <!-- Page Preloder -->
    <div id="preloder">
        <div class="loader"></div>
    </div>



    <!-- Header Section Begin -->
    <?php
    include "includes/head.php"
    ?>
    <!-- Header Section End -->

    <!-- Hero Section Begin -->
    <section class="hero hero-normal">
        <div class="container">
            <div class="row">
                <div class="col-lg-3">
                    <?php
                    include "sections/categories.php"
                    ?>
                </div>
                <div class="col-lg-9">
                    <?php
                    include "sections/search.php";
                    ?>
                </div>
            </div>
        </div>
    </section>
    <!-- Hero Section End -->

    <!-- Breadcrumb Section Begin -->
    <section class="">
        <div class="container">
            <div class="row">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a style="color: black !important;" href="./index.php" onmouseover="this.style.color='#225d2d'" onmouseout="this.style.color='black'">Home</a></li>

                        <li class="breadcrumb-item"><a style="color:#1877F2 !important;" href="#"> <b>Contact Us</b> </a></li>
                    </ol>
                </nav>
            </div>
        </div>
    </section>
    <!-- Breadcrumb Section End -->




    <!-- Contact Form Begin -->
    <div class="contact-form spad">
        <div class="container" style="background-color: #eee;">
            <div class="row">
                <div class="col-lg-12">
                    <div class="contact__form__title">
                        <h2>Leave Message</h2>
                    </div>
                </div>
            </div>

            <form method="post" id="contactForm">
                <div class="row">
                    <div class="col-lg-6 col-md-6">
                        <label for="name">Name</label>
                        <input type="text" name="name" placeholder="Your name" value="<?php echo $fullname ?>" required>

                    </div>
                    <div class="col-lg-6 col-md-6">
                        <label for="email">Email</label>
                        <input type="text" name="email" placeholder="Your Email" value="<?php echo $email ?>" required>
                    </div>


                    <input type="hidden" name="branchid" value="<?php echo $branchid; ?>">
                    <input type="hidden" name="phone" value="<?php echo $mobileNumber; ?>">


                </div>

                <div class="col-lg-12 text-center mb-4">
                    <label for="message">Message</label>
                    <textarea name="message" placeholder="Your message" required></textarea>
                    <button type="submit" id="submitBtn" class="site-btn mb-4">SEND MESSAGE</button>
                </div>


            </form>
        </div>
    </div>
    <!-- Contact Form End -->

    <script>
        $(document).ready(function() {
            $('#contactForm').submit(function(event) {
                event.preventDefault();
                sendMessage();
            });
        });

        function disableButton() {
            // Disable the button
            var submitBtn = document.getElementById("submitBtn");
            submitBtn.disabled = true;
            // Change background color to gray
            submitBtn.style.backgroundColor = '#808080';
            // Change the button text
            submitBtn.innerHTML = 'Processing...';
        }

        function enableButton() {
            // Enable the button
            var submitBtn = document.getElementById("submitBtn");
            submitBtn.disabled = false;
            // Change background color to the original color
            submitBtn.style.backgroundColor = ''; // or set it to the original color
            // Change the button text
            submitBtn.innerHTML = 'SEND MESSAGE';
        }

        function sendMessage() {
            // Get form data
            var formData = $('#contactForm').serialize();

            disableButton();

            // Make an AJAX request to the server
            $.ajax({
                type: 'POST',
                url: 'functions/contact.php',
                data: formData,
                dataType: 'json',
                success: function(response) {
                    // Show toastr based on the response
                    if (response.error == false) {
                        Swal.fire({
                            title: "Message sent successfully",
                            text: "We will get back to you soon!",
                            icon: "success"
                        }).then(function() {
                            // Redirect to contact.php
                            window.location.href = "contact.php";
                        });


                    } else {
                        Swal.fire({
                            title: "Failed to send message",
                            text: "Please try again.",
                            icon: "error"
                        });
                    }

                    enableButton();
                },
                error: function() {
                    Swal.fire({
                        title: 'Error',
                        text: 'An error occurred while processing your request. Please try again.',
                        icon: 'error',
                    }).then((result) => {
                        enableButton();
                    });
                }
            });
        }
    </script>

    <?php
    include "includes/footer.php"
    ?>