<?php
require_once '../services/api_config.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $itemid = isset($_POST['itemid']) ? $_POST['itemid'] : '';
    $quantity = isset($_POST['quantity']) ? $_POST['quantity'] : '';
    $type = isset($_POST['type']) ? $_POST['type'] : '';
    $userid =  isset($_POST['userid']) ? $_POST['userid'] : '';
    $centralized =  isset($_POST['centralized']) ? $_POST['centralized'] : '';
    $branchid =  isset($_POST['branchid']) ? $_POST['branchid'] : '';

    
    


    // Todo => validate user input 

    // Make a POST request to  addtocart API
    $api_url = API_URL . "addtocart.php";
    $data = json_encode(['itemid' => $itemid,'quantity' => $quantity, 'type' => $type, 'userid' => $userid, 'centralized' => $centralized,'branchid'=> $branchid]);

    $ch = curl_init($api_url);

    // Set  cURL options with the authorization header
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Content-Type: application/json',
        'Auth: ' . API_AUTH_HEADER
    ]);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data);

    // Execute the cURL request
    $response = curl_exec($ch);

    // Check for cURL errors
    if (curl_errno($ch)) {
        // Handle cURL error
        echo "cURL Error: " . curl_error($ch);
    } else {
      
          // Decode the JSON response
        $result = json_decode($response, true);

        // Return the result
        echo json_encode($result);
    }

    // Close cURL session
    curl_close($ch);
}
