    <?php

    // Include the constants file
    require_once './services/api_config.php';

    // Function to fetch flash sales data
    function fetchFlashsales($branchId) {
        $ch = curl_init(API_URL . "flashsales.php?branchid=" . $branchId);

        // cURL options with the authorization header
        curl_setopt($ch, CURLOPT_HTTPHEADER, [
            'Content-Type: application/json',
            'Auth: ' . API_AUTH_HEADER
        ]);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

        // Execute the cURL request
        $response = curl_exec($ch);

        // Close cURL session
        curl_close($ch);

        // Decode the JSON response
        $flashsales = json_decode($response, true);

        // Return the flash sales data
        return $flashsales;
    }
    ?>

