<?php
require_once '../services/api_config.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $id = isset($_POST['id']) ? $_POST['id'] : '';
    $userid = isset($_POST['userid']) ? $_POST['userid'] : '';
    $usercell = isset($_POST['usercell']) ? $_POST['usercell'] : '';
    $name = isset($_POST['name']) ? $_POST['name'] : '';
    $email = isset($_POST['email']) ? $_POST['email'] : '';
    $mobile = isset($_POST['mobile']) ? $_POST['mobile'] : '';
    $road = isset($_POST['road']) ? $_POST['road'] : '';
    $building = isset($_POST['building']) ? $_POST['building'] : '';
    $houseNo = isset($_POST['houseNo']) ? $_POST['houseNo'] : '';
    $floor = isset($_POST['floor']) ? $_POST['floor'] : '';
    $region = isset($_POST['region']) ? $_POST['region'] : '';
    $moreinfor = isset($_POST['moreinfor']) ? $_POST['moreinfor'] : '';
    $default = isset($_POST['default1']) ? $_POST['default1'] : '';


    // Todo => validate user input 

    // Make a POST request to  address API
    $api_url = API_URL . "updateaddress.php";
    $data = json_encode([
        'userid' => $userid,
        'usercell' => $usercell,
        'name' => $name,
        'email' => $email,
        'mobile' => $mobile,
        'road' => $road,
        'building' => $building,
        'houseNo' => $houseNo,
        'floor' => $floor,
        'region' => $region,
        'moreinfor' => $moreinfor,
        'default1' => $default,
        'id' => $id,
    ]);


    $ch = curl_init($api_url);

    // Set  cURL options with the authorization header
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Content-Type: application/json',
        'Auth: ' . API_AUTH_HEADER
    ]);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data);

    // Execute the cURL request
    $response = curl_exec($ch);

    // Check for cURL errors
    if (curl_errno($ch)) {
        // Handle cURL error
        echo "cURL Error: " . curl_error($ch);
    } else {
        // Decode the JSON response
        $result = json_decode($response, true);




        echo json_encode($result);
    }

    // Close cURL session
    curl_close($ch);
}
