<?php
include "includes/header.php";
?>

<body>

    <!-- Page Preloder -->
    <div id="preloder">
        <div class="loader"></div>
    </div>

    <!-- head section -->
    <?php
    include "includes/head.php"
    ?>

    <!-- Hero Section Begin -->
    <section class="hero">
        <div class="container">
            <div class="row">
                <div class="col-lg-3">
                    <?php
                    include "sections/categories.php"
                    ?>
                </div>
                <div class="col-lg-9">

                    <?php
                    include "sections/search.php";
                    include "sections/slider.php";
                    ?>
                </div>
            </div>
        </div>
    </section>
    <!-- Hero Section End -->


    <!-- Flashsales Section Begin -->
    <?php
    include "sections/flashsales.php"
    ?>
    <!-- Flashsales Section End -->


    <!-- Featured Section Begin -->
    <?php
    include "sections/featured.php"
    ?>
    <!-- Featured Section End -->


    <!-- Promotions -->
    <?php
    include "sections/promotions.php"
    ?>

    <!-- Promotions -->


    <!-- Banner Begin -->
    <div class="banner">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6">
                    <div class="banner__pic">
                        <!-- <img src="img/banner/banner-1.jpg" alt=""> -->
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6">
                    <div class="banner__pic">
                        <!-- <img src="img/banner/banner-2.jpg" alt=""> -->
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Banner End -->

    <!-- Latest Product Section Begin -->
    <section class="latest-product spad">
        <div class="container">
            <div class="row">
                <div class="col-lg-4 col-md-6">
                    <div class="latest-product__text">
                        <h4>Latest Products</h4>
                       
                    </div>
                </div>
                <div class="col-lg-4 col-md-6">
                    <div class="latest-product__text">
                        <h4>Top Products</h4>
                       
                    </div>
                </div>
                <div class="col-lg-4 col-md-6">
                    <div class="latest-product__text">
                        <h4>Review Products</h4>
                       
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Latest Product Section End -->

    <!-- Blog Section Begin -->

    <!-- Blog Section End -->

    <?php
    include "includes/footer.php"
    ?>

    <!-- functionality  to toggle category bar depending on screen size -->
    <script>
        $(document).ready(function() {
            // Check the window width on page load
            toggleCategoriesVisibility();

            // Toggle categories visibility on window resize
            $(window).resize(function() {
                toggleCategoriesVisibility();
            });

            // Toggle categories visibility when clicking the bars icon
            $(".hero__categories__all i").click(function() {
                $(".hero__categories ul").slideToggle();
            });
        });

        function toggleCategoriesVisibility() {
            if ($(window).width() <= 991) {
                $(".hero__categories ul").hide();
            } else {
                $(".hero__categories ul").show();
            }
        }
    </script>