<?php
include "includes/header.php";
// Check if the session variable is not set
if (!isset($_SESSION['delivery_type']) || $_SESSION['delivery_type'] != '2') {
    // Redirect the user to the select delivery page
    echo '<script>window.location.href="shopping-cart.php";</script>';
    exit;
}

?>

<body>
    <!-- Page Preloder -->
    <div id="preloder">
        <div class="loader"></div>
    </div>

    <!-- Header Section Begin -->
    <?php
    include "includes/head.php"
    ?>
    <!-- Header Section End -->





    <!-- Hero Section Begin -->
    <section class="hero hero-normal">
        <div class="container">
            <div class="row">
                <div class="col-lg-3">
                    <?php
                    include "sections/categories.php"
                    ?>
                </div>
                <div class="col-lg-9">
                    <?php
                    include "sections/search.php";
                    ?>
                </div>
            </div>
        </div>
    </section>
    <!-- Hero Section End -->

    <!-- Breadcrumb Section Begin -->
    <!-- ... (Your existing code) ... -->

    <!-- ... (Your existing code) ... -->

    <section style="padding-bottom: 70px; padding-top:8px">
        <div class="container py-2 mb-4" style="background-color: #eee;">
            <p class="text-center">You can edit Details and click continue</p>
            <div class="row justify-content-center">
                <div class="col-md-8 mb-4">
                    <div class="card mb-4">
                        <div class="card-header py-3">
                            <h5 class="mb-0">Pickup details</h5>
                        </div>
                        <div class="card-body text-center">
                            <form id="pickupForm" action="payment_summary.php" method="post">

                                <input type="hidden" name="payment_summary" value="payment_summary">

                                <div class="row">
                                    <div class="col-12 col-md-8 mx-auto">
                                        <!-- Text input for Name -->
                                        <div class="form-outline mb-4">
                                            <input type="text" name="name" id="form7Example3" class="form-control" value="<?php echo $fullname; ?>" required />
                                            <label class="form-label" for="form7Example3">Name</label>
                                        </div>

                                        <!-- Text input for Email -->
                                        <div class="form-outline mb-4">
                                            <input type="text" name="email" id="form7Example4" class="form-control" value="<?php echo $email ?>" required />
                                            <label class="form-label" for="form7Example4">Email</label>
                                        </div>

                                        <!-- Email input for Mobile -->
                                        <div class="form-outline mb-4">
                                            <input type="text" name="mobile" id="form7Example5" class="form-control" value="<?php echo $mobileNumber ?>" required />
                                            <label class="form-label" for="form7Example5">Mobile</label>
                                        </div>

                                        <div class="d-flex justify-content-center">
                                            <button id="submitBtn" type="button" class="btn btn-lg btn-block btn-main" onclick="saveAndContinue()">
                                                CONTINUE
                                            </button>
                                        </div>
                                    </div>

                                </div>


                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>



    <!-- Breadcrumb Section End -->




    <?php
    include "includes/footer.php"
    ?>


    <script>
         $(document).ready(function() {
            var url,code,refs;
            
            getShortcode();
         });

        function getShortcode() {
            disableButton();
            var branchid = <?php echo $branchid ?>;
            $.ajax({
                type: 'GET',
                url: 'functions/getShortcode.php?branchid='+branchid,
                dataType: 'json',
                success: function(response) {
                    url = response.url;
                    code = response.code;
                    refs = response.refs;
                    enableButton();
                },
                error: function(error) {
                   
                    disableButton();
                }
            });
        }


        function disableButton() {

            // Disable the button
            var submitBtn = document.getElementById("submitBtn");
            submitBtn.disabled = true;
            // Change background color to gray
            submitBtn.classList.add('btn-load');
            // Change the button text
            submitBtn.innerHTML = 'Please wait...';


        }

        function enableButton() {
            // enable the button
            var submitBtn = document.getElementById("submitBtn");
            submitBtn.disabled = false;

            // Add the btn-main class to change the color
            submitBtn.classList.remove('btn-load');
            submitBtn.classList.add('btn-main');

            // Change the button text
            submitBtn.innerHTML = 'CONTINUE';
        }


        function saveAndContinue() {
            // Get form data
            var name = document.getElementById("form7Example3").value;
            var email = document.getElementById("form7Example4").value;
            var mobile = document.getElementById("form7Example5").value;

            var customerID = <?php echo $userid ?>

            $.ajax({
                type: 'POST',
                url: 'functions/session-deliverydetails.php',
                data: {
                    pickupDetails: {
                        recipientname: name,
                        recipientemail: email,
                        recipientphone: mobile,
                        deliverytype: "2",
                        customerID: customerID,
                        ordernumber: "",
                        shippingFee: "0.00",
                        road: "",
                        building: "",
                        houseNo: "",
                        floor: "",
                        region: "",
                        moreinfor: "",
                        regionname: ""

                    },
                    delivery_fees: "0.00",
                    shortcode: {
                        code: code,
                        refs: refs,
                        url: url
                    }
                },
                dataType: 'json',
                success: function(response) {

                    if (response.success) {
                        document.getElementById("pickupForm").submit();
                    } else {

                    }
                }
            });



        }
    </script>