<style>
    .card {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 220px;

    }

    .card-img-top {
        max-height: 160px;

        width: auto !important;

    }

    .activepage {
        background-color: #3CC032 !important;
        color: #fff !important;
    }

    button.add-to-cart-button {
        border: none;
        background: none;
        padding: 0;
        margin: 0;
        cursor: pointer;
    }
</style>

<section class="product spad">
    <div class="container">
        <div class="row">
            <div class="col-lg-3 col-md-5">
                <div class="sidebar">

                    <div class="sidebar__item">
                        <h4>Price</h4>
                        <div class="price-range-wrap">
                            <div class="price-range ui-slider ui-corner-all ui-slider-horizontal ui-widget ui-widget-content" data-min="10" data-max="540">
                                <div class="ui-slider-range ui-corner-all ui-widget-header"></div>
                                <span tabindex="0" class="ui-slider-handle ui-corner-all ui-state-default"></span>
                                <span tabindex="0" class="ui-slider-handle ui-corner-all ui-state-default"></span>
                            </div>
                            <div class="range-slider">
                                <div class="price-input">
                                    <!-- <input type="text" id="minamount">
                                    <input type="text" id="maxamount"> -->
                                </div>
                            </div>
                        </div>
                    </div>


                    <!-- <div class="sidebar__item">
                        <div class="latest-product__text">
                            <h4>Flashsale</h4>
                            <div class="latest-product__slider owl-carousel">
                                <div class="latest-prdouct__slider__item">
                                    <a href="#" class="latest-product__item">
                                        <div class="latest-product__item__pic">
                                            <img src="img/latest-product/lp-1.jpg" alt="">
                                        </div>
                                        <div class="latest-product__item__text">
                                            <h6>Crab Pool Security</h6>
                                            <span>KSh.30.00</span>
                                        </div>
                                    </a>
                                    <a href="#" class="latest-product__item">
                                        <div class="latest-product__item__pic">
                                            <img src="img/latest-product/lp-2.jpg" alt="">
                                        </div>
                                        <div class="latest-product__item__text">
                                            <h6>Crab Pool Security</h6>
                                            <span>KSh.30.00</span>
                                        </div>
                                    </a>
                                    <a href="#" class="latest-product__item">
                                        <div class="latest-product__item__pic">
                                            <img src="img/latest-product/lp-3.jpg" alt="">
                                        </div>
                                        <div class="latest-product__item__text">
                                            <h6>Crab Pool Security</h6>
                                            <span>KSh.30.00</span>
                                        </div>
                                    </a>
                                </div>
                                <div class="latest-prdouct__slider__item">
                                    <a href="#" class="latest-product__item">
                                        <div class="latest-product__item__pic">
                                            <img src="img/latest-product/lp-1.jpg" alt="">
                                        </div>
                                        <div class="latest-product__item__text">
                                            <h6>Crab Pool Security</h6>
                                            <span>KSh.30.00</span>
                                        </div>
                                    </a>
                                    <a href="#" class="latest-product__item">
                                        <div class="latest-product__item__pic">
                                            <img src="img/latest-product/lp-2.jpg" alt="">
                                        </div>
                                        <div class="latest-product__item__text">
                                            <h6>Crab Pool Security</h6>
                                            <span>KSh.30.00</span>
                                        </div>
                                    </a>
                                    <a href="#" class="latest-product__item">
                                        <div class="latest-product__item__pic">
                                            <img src="img/latest-product/lp-3.jpg" alt="">
                                        </div>
                                        <div class="latest-product__item__text">
                                            <h6>Crab Pool Security</h6>
                                            <span>KSh.30.00</span>
                                        </div>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div> -->
                </div>
            </div>
            <div class="col-lg-9 col-md-7">

                <div class="filter__item">
                    <div class="row">


                        <div class="filter__sort">
                            <span>Sort By</span>
                            <select id="sortBy">
                                <option value="default">Default</option>
                                <option value="lowToHigh">Price: Low to High</option>
                                <option value="highToLow">Price: High to Low</option>
                            </select>
                        </div>

                        <div class="col-lg-4 col-md-4">
                            <div class="filter__found">

                                <h6 id="productsFound">Products found</h6>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-3">
                            <div class="filter__option">
                                <span class="icon_grid-2x2"></span>
                                <span class="icon_ul"></span>
                            </div>
                        </div>
                    </div>
                </div>


                <div class="row" style="background-color: #eee;" id="productContainer">
                    <!-- Product items will be dynamically added here -->
                </div>





                <!-- Pagination -->
                <div class="product__pagination" id="paginationContainer">
                    <!-- Pagination links will be dynamically added here -->
                </div>


            </div>
        </div>
    </div>
</section>




<script>
    $(document).ready(function() {
        fetchProducts();
    });

    function fetchProducts() {

        var currentPage = <?php echo isset($_GET['page']) ? $_GET['page'] : 1; ?>;
        var branchId = <?php echo $branchid; ?>;
        var departmentId = <?php echo isset($_GET['departmentId']) ? $_GET['departmentId'] : 1; ?>;

        var loadingcontainer = $('#paginationContainer');

        // Show loading icon
        loadingcontainer.html('<div class="text-center"><i class="fa fa-spinner fa-spin fa-2x"></i></div>');


        $.ajax({
            type: 'GET',
            url: 'functions/category_items.php?currentPage=' + currentPage + '&branchId=' + branchId + '&departmentId=' + departmentId,
            dataType: 'json',
            success: function(data) {
                if (data.items.length > 0) {
                    updateProducts(data.items);
                    updatePagination(data.total_pages, currentPage);
                } else {

                    loadingcontainer.empty();

                    var productsFoundElement = document.getElementById('productsFound');
            
                    productsFoundElement.innerHTML = `No product found`;

                    loadingcontainer.html('<div class="text-center" ><img src="img/noproducts.png" width="200" height="200"></div>');




                }
            },
            error: function(error) {

            }
        });
    }

    function updatePagination(totalPages, currentPage) {
        var paginationContainer = document.getElementById('paginationContainer');
        paginationContainer.innerHTML = ''; // Clear previous content

        var visiblePages = 8; // Number of visible pages
        var start = Math.max(1, currentPage - Math.floor(visiblePages / 2));
        var end = Math.min(start + visiblePages - 1, totalPages);

        if (end - start + 1 < visiblePages) {
            start = Math.max(1, end - visiblePages + 1);
        }

        // Display 'Previous' link if current page is not the first page
        if (currentPage > 1) {
            createPaginationLink('&laquo;', currentPage - 1);
        }

        // Display page links within the visible range
        for (var i = start; i <= end; i++) {
            var activeClass = (currentPage == i) ? 'activepage' : '';
            createPaginationLink(i, i, activeClass);
        }

        // Display 'Next' link if current page is not the last page
        if (currentPage < totalPages) {
            createPaginationLink('&raquo;', currentPage + 1);
        }
    }

    function createPaginationLink(text, page, activeClass = '') {
        var paginationContainer = document.getElementById('paginationContainer');
        var link = document.createElement('a');
        link.href = '?page=' + page;
        link.className = activeClass;
        link.innerHTML = text;
        paginationContainer.appendChild(link);
    }

    function updateProducts(data) {
        var productContainer = document.getElementById('productContainer');
        productContainer.innerHTML = ''; // Clear previous content

        data.forEach(function(item) {
            var imageUrl = item.imageUrl ? item.imageUrl : 'img/noimage.jpg';
            var productHtml = `
                     <div class="col-lg-4 col-md-6 col-sm-6">
                        <div class="featured__item mt-3">
                         
                            <div class="card featured__item__pic d-flex flex-column" style="position: relative;">
                                <img src="${imageUrl}" class="card-img-top" alt="${item.Description}" loading="lazy" />

                                <div class="text-success" style="position: absolute; top: 0; left: 0; width: 100%; height: 100%; display: none;" id="spinner-${item.itemID}" role="status">
                                    <div class="text-center"><i class="fa fa-spinner fa-spin fa-2x"></i></div>
                                </div>
                            </div>

                            <div class="featured__item__text">
                                <ul class="featured__item__pic__hover mb-3">
                                    <li><a href="#"><i class="fa fa-heart"></i></a></li>
                                    <li><a href="#"><i class="fa fa-retweet"></i></a></li>
                                    <li>

                                        
                                    <button class="add-to-cart-btn btn success" data-itemid="${item.itemID}" data-itemname="${item.Description}" data-quantity="1" data-type="${item.type}">
                                              <a><i class="fa fa-shopping-cart"></i></a>
                                        </button>
                                    </li>
                                </ul>
                                    <h6><a href="#">${item.Description}</a></h6>
                                    <h5>KSh. ${item.Price.toFixed(2)}</h5>
                            </div>
                        </div>
                    </div>

            `;

            productContainer.innerHTML += productHtml;



        });


        // Update the count of products found
        var productsFoundElement = document.getElementById('productsFound');
        var productCount = data.length;
        var productText = productCount === 0 ? 'No Products' : (productCount === 1 ? 'Product' : 'Products');
        productsFoundElement.innerHTML = `${productCount} ${productText} found`;

    }
</script>